## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}
%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/gofiber/fiber
%global goipath         github.com/gofiber/fiber/v2
Version:                2.48.0

%gometa -f

%global common_description %{expand:
Express inspired web framework written in Go.}

%global golicenses      LICENSE
%global godocs          docs utils/README.md

Name:           golang-github-gofiber-fiber-2
Release:        %autorelease
Summary:        Express inspired web framework written in Go

License:        MIT AND BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1
rm -rfv internal/go-ole internal/wmi

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# needs network
for test in "Test_Proxy_Do_WithRealURL" \
            "Test_Proxy_Do_WithRedirect" \
            "Test_Proxy_DoRedirects_RestoreOriginalURL" \
            "Test_Proxy_DoRedirects_TooManyRedirects" \
            "Test_Storage_Memory_Get" \
            "Test_Storage_Memory_Delete" \
            "Test_Limiter_Sliding_Window_Custom_Storage_Skip_Successful_Requests" \
            "Test_Limiter_Sliding_Window_Skip_Successful_Requests" \
            "Test_Limiter_Sliding_Window_Custom_Storage_Skip_Failed_Requests" \
            "Test_Limiter_Sliding_Window_Skip_Failed_Requests" \
            "Test_Idempotency" \
            "Test_Session_Save_Expiration" \
            "Test_CustomExpiration" \
            "Test_Client_UserAgent" \
            "Test_Client_Agent_Dest" \
            "Test_Pprof_Subs" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.48.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.48.0-5
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.48.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.48.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robert-André Mauchin <zebob.m@gmail.com> - 2.48.0-2
- Disable some tetss

* Fri Aug 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 2.48.0-1
- Initial import
## END: Generated by rpmautospec
